# kio Library API Documentation

Overview | Class Hierarchy | Classes | Classes (annotated) | Members | Namespaces | Source Files

# ListProgress Class Reference

List view in the UIServer. More...

`#include <uiserver.h>`

Inheritance diagram for ListProgress:

[legend]
Collaboration diagram for ListProgress:

[legend]
List of all members.

## Public Types

enum | ListProgressFields { TB_OPERATION = 0, TB_LOCAL_FILENAME = 1, TB_RESUME = 2, TB_COUNT = 3, TB_PROGRESS = 4, TB_TOTAL = 5, TB_SPEED = 6, TB_REMAINING_TIME = 7, TB_ADDRESS = 8, TB_MAX = 9 }

## Public Member Functions

| ListProgress (QWidget *parent=0, const char *name=0)

## Protected Slots

void | columnWidthChanged (int column)

## Protected Member Functions

void | writeSettings ()
void | readSettings ()
void | applySettings ()
void | createColumns ()

## Protected Attributes

bool | m_showHeader
bool | m_fixedColumnWidths
ListProgressColumnConfig | m_lpcc [TB_MAX]
KSqueezedTextLabel * | m_squeezer

## Friends

class | ProgressItem
class | UIServer

## Detailed Description

List view in the UIServer.

Definition at line 58 of file uiserver.h.

## Member Enumeration Documentation

enum ListProgress::ListProgressFields

| Field constants. Definition at line 71 of file uiserver.h.

The documentation for this class was generated from the following files:

- uiserver.h
- uiserver.cpp

This file is part of the documentation for kio Library Version 3.4.1.
Documentation copyright © 1996-2004 the KDE developers.
Generated on Sat Jun 11 20:24:57 2005 by doxygen 1.4.1 written by Dimitri van Heesch, © 1997-2003